# MOBILEMONEY

## Submit a payout by MOBILEMONEY in Kenya

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by MOBILEMONEY in Kenya.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | string | Your App ID in payout platform.     |
| Authorization<mark style="color:red;">\*</mark> | string | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                  |
| ---------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>               | string | <p>Beneficiary's name<br>- Length must between 5 and 100 -</p>                                                               |
| email<mark style="color:red;">\*</mark>              | string | <p>Beneficiary's email<br>- Max 64, valid email -</p>                                                                        |
| account\_type<mark style="color:red;">\*</mark>      | string | Should be one of EQUITEL, SAFARICOM                                                                                          |
| account<mark style="color:red;">\*</mark>            | string | <p>Beneficiary's Bank Account</p><p>- 1 \~ 20 digits -</p>                                                                   |
| method<mark style="color:red;">\*</mark>             | string | Fixed value: MOBILEMONEY                                                                                                     |
| custom\_code<mark style="color:red;">\*</mark>       | string | <p>Merchant Payout ID<br>- Max. 50 chars -</p>                                                                               |
| fee\_bear<mark style="color:red;">\*</mark>          | string | <p>All fees charge to merchant or beneficiary<br>- One of: merchant, beneficiary -</p>                                       |
| amount<mark style="color:red;">\*</mark>             | number | <p>Payout Amount,  Only Integer</p><p>- Min 10, Max 150,000 - </p>                                                           |
| source\_currency<mark style="color:red;">\*</mark>   | string | <p>Merchant Account Currency<br>- One of: USD, EUR, GBP, KES -</p>                                                           |
| arrival\_currency<mark style="color:red;">\*</mark>  | string | Fixed value: KES                                                                                                             |
| notify\_url<mark style="color:red;">\*</mark>        | string | Where pagsmile will send notification to.                                                                                    |
| additional\_remark<mark style="color:red;">\*</mark> | string | <p>Descriptor on the user's bank bill<br>- Max. 40 chars -</p>                                                               |
| country<mark style="color:red;">\*</mark>            | string | KEN for Kenya                                                                                                                |
| amount\_type                                         | string | <p>Specify the amount value is fixed for merchant or beneficiary<br>- One of: source\_amount, arrival\_amount(default) -</p> |

{% tabs %}
{% tab title="200: OK submit successfully" %}

```
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQM",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "100",
        "arrival_currency": "KES",
        "source_amount": "100",
        "source_currency": "KES",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```javascript
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="400: Bad Request order already existed" %}

```
{
    "code": 4001020,
    "msg": "order already existed",
    "time": 1628580940,
    "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```javascript
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```javascript
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```javascript
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "name" : "GUILHERME ****** SOUZA",
    * "email": "payout@pagsmile.com",
    * "account_type": "SAFARICOM", // should be one of EQUITEL, SAFARICOM
    * "account": "00******42",
    * "source_currency": "KES", 
    * "arrival_currency": "KES", // fixed value: KES
    * "fee_bear": "merchant", // should be one of merchant, beneficiary
    * "method": "MOBILEMONEY", // fixed value: MOBILEMONEY
    * "amount": "100", //Only integer
    * "notify_url": "https://notify.url",
    * "custom_code" : "custom_code9982674851738108",
    * "additional_remark": "pagsmile payout test remark",
    * "country": "KEN"  // fixed value: KEN
}
'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}
